#!/bin/sh

name="dctc"
title="Direct Connect Text Client"
package="dctc"
version="0.84.1"
build="1"
noarch="n"
build_info="Standard build."

info="DCTC (Direct Connect Text Client)."
desc="DCTC (Direct Connect Text Client) is a library that gives 
access to the direct connect world, like IRC but more
file-sharing oriented."
category="net/client/p2p"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ChangeLog,COPYING,INSTALL,README,README-alpha,TODO,THANKS"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://ac2i.tzo.com/dctc/$name-$version.tar.gz

configure_option --prefix=/usr

make_option docdir=/usr/doc/$name-$version

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: dctc.builder,v $
# Revision 1.5  2003/03/08 21:02:34  swiergot
# - Build 1.
#
# Revision 1.4  2003/03/08 20:52:33  swiergot
# - Version 0.84.1.
#
# Revision 1.3  2002/12/27 18:02:48  swiergot
# - Removed empty AUTHORS and NEWS from docs_source.
# - Fixed category and environment.
# - Added CVS keywords.
# - Cosmetics.
#
